Subject: [Diffserv] TB definition in Model draft

From: Shahram Davari <[email-masked]>
Date: Wed, 14 Jun 2000 09:04:37 -0700

Hi,
One more TB definition, which I believe needs correction:
Section 5.1.3:
"... A TB profile generally has two parameters, an average token rate and a
burst size. TB meters compare the arrival rate of packets to the average
rate specified by the TB profile. Logically, tokens accumulate in a bucket
at the average rate, up to a maximum credit which is the burst size...
Packets are allowed to exceed the average rate in bursts upto the burst
size."

As you can see "burst size" is used both as a burst limit in conformance
testing and as the TB depth.

Regards,

Shahram Davari
Systems Engineer
Product Research
PMC-Sierra, Inc. (Ottawa) 
555 Legget drive,
Suit 834, Tower B,
Ottawa, ON K2K 2X3, Canada
Phone: +1 (613) 271-4018
Fax  : +1 (613) 271-7007

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/

---

From: Andrew Smith <[email-masked]>
Date: Wed, 14 Jun 2000 10:44:47 -0700

What is your proposed wording change?

Andrew
(currently editor of Model draft)

> -----Original Message-----
> From: Shahram Davari [mailto:[email-masked]]
> Sent: Wednesday, June 14, 2000 9:05 AM
> To: [email-masked]'
> Subject: [Diffserv] TB definition in Model draft
> 
> 
> Hi,

---

From: Shahram Davari <[email-masked]>
Date: Wed, 14 Jun 2000 11:15:40 -0700

Andrew,

Before I suggest the changes, I have one more question/comments.

What is the motivation in the model's draft in defining a TB, in which the
Token count can go to negative, and packets are deemed non-conformant while
the TB is in negative territory?

If this is not adding any value, I suggest keeping the TB definition
consistent with RFC-2697/2698/2212 (i.e., only positive Token counts).

-Shahram

>From: Andrew Smith [mailto:[email-masked]]
>Sent: Wednesday, June 14, 2000 1:45 PM
>To: 'Shahram Davari'; [email-masked]'
>Subject: RE: [Diffserv] TB definition in Model draft
>
>